<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $recipient
 * @property string $email
 * @property string $phoneNumber
 * @property array $locations
 * @property int $views
 */
class CV extends Model
{
    use HasFactory;

    protected $table = 'cvs';
    protected $guarded = [];
    protected $casts = [
        'locations' => 'array',
        'views' => 'integer',
    ];
}
